#!/bin/sh
# Created: Aug 10, 2004
# Author: Shuqing Zhao (shuqing@verisity.com)
# Description: rename an eRM package from its original name to a new name
#              all the file names and content of .e, .edoc, .txt, .sh files will
#              be changed to use the new name
# Prerequisites: availability of perl and rename command
# Usage example:
#   % pwd
#   /blah/evc_lib
#   % ls
#   his_evc/ her_evc/
#   % rename_package.sh his my his_evc
#   % ls
#   my_evc/ her_evc/

if [ $# != 3 ]; then
    echo " usage: "
    echo "        rename_package.sh from_string to_string evc_package_path"
    exit 0;
fi

cp -r $3 $3.sav
find $3 \( -name "*.e" -o -name "*.html" -o -name "*.htm" -o -name "*.edoc" -o -name "*.sh" -o -name "*.txt" \) -exec perl -pi -e "s/\b$1/$2/g" {} \;
find $3 -type d | tac | (while read D; do cd $D; rename $1 $2 *; cd -; done)
rename $1 $2 $3
